#include <PCM.h>

byte ledPin[] = {
  3, 4, 5, 6, 7};
int ledDelay = 300;
int direction = 1;
int currentLED = 0;
int win = 0;
boolean btLock = false, gLock = false;
unsigned long changeTime;
void setup() {
  Serial.begin(9600);
  for (int x=0; x<5; x++) {
    pinMode(ledPin[x], OUTPUT); 
  }
  changeTime = millis();
  for (int x=0; x<5; x++) {
    digitalWrite(ledPin[x], HIGH); 
  }
  delay(100);
  for (int x=0; x<5; x++) {
    digitalWrite(ledPin[x], LOW); 
  }
  delay(100);
  for (int x=0; x<5; x++) {
    digitalWrite(ledPin[x], HIGH); 
  }
  delay(1000);
  for (int x=0; x<5; x++) {
    digitalWrite(ledPin[x], LOW); 
  }
  noTone(11);
  gLock = false;
  currentLED = 0;
}

void loop() {
  if(!btLock && digitalRead(2) == HIGH){
    if(ledDelay > 20){
      ledDelay =  ledDelay - 20;
    }
    btLock = true;
    gLock = true;
    delay(1000);
    if(win == 1){
      for (int x=0; x<3; x++){
        for (int x=0; x<5; x++) {
          tone(11, 2000);
          digitalWrite(ledPin[x], HIGH); 
        }
        delay(500);
        for (int x=0; x<5; x++) {
          noTone(11);
          digitalWrite(ledPin[x], LOW); 
        }
        delay(500);
      }
    }
    else{
      tone(11, 500);
    }
    setup();
  }
  else if(digitalRead(2) == LOW){
    btLock = false; 
    if(!gLock){
      if ((millis() - changeTime) > ledDelay) {
        changeLED();
        changeTime = millis();
      }
    }
  }
}
void changeLED() {
  for (int x=0; x<5; x++) {
    digitalWrite(ledPin[x], LOW);
  }
  if(currentLED == 2){
    win = 1; 
  }
  else{
    win = 0; 
  }
  digitalWrite(ledPin[currentLED], HIGH);
  currentLED += direction;
  if (currentLED == 4) {
    direction = -1;
  }
  if (currentLED < 1) {
    direction = 1;
  }
}



